API referenceRead API
Create Deletion Request
Idempotent on (app_id, subject_type, subject_value) among pending and running requests.
POST
Idempotent on (app_id, subject_type, subject_value) among pending and running requests.
header
AuthorizationBearer <token>Read API key. The scope an operation requires is given in x-required-scope (read | delete).
app_id*stringFormat
uuidapplication/json- body
subject_type*stringValue in
"install""user"subject_value*stringFor install, the install_id (UUID); for user, the user_id as in ingest (1..128 characters after trimming whitespace, no U+0000).
Length
1 <= length <= 128Request accepted (a new one, or the existing pending or running one)
application/json- response
id*stringFormat
uuidapp_id*stringFormat
uuidsubject_type*DeletionSubjectTypeValue in
"install""user""app"subject_value*stringstatus*DeletionStatusValue in
"pending""running""done""failed"source*DeletionSourceValue in
"api""dashboard"requested_at*stringFormat
date-timestarted_at*|Format
date-timecompleted_at*|Format
date-timeerror*string|nullcurl -X POST 'https://api.appmetrica.online/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/deletion-requests' \ -H 'Content-Type: application/json' \ -d '{ "subject_type": "install", "subject_value": "string"}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335", "subject_type": "install", "subject_value": "string", "status": "pending", "source": "api", "requested_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "error": "string"}